body {
    margin: 0;
}

.advantages {
    padding: 30px 20px 70px;
    width: 100%;
    max-width: 1250px;
    margin: 0 auto;
    box-sizing: border-box;
}

.advantages * {
    box-sizing: border-box;
}

.advantages__title {
    font-family: "Montserrat";
    color: #1D1D1B;
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    line-height: 32px;
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 50px;
}

@media (max-width: 767px) {
    .advantages__title {
        font-size: 36px;
        line-height: 32px;
    }
}

.advantages__list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, auto);
    gap: 53px 20px;
    list-style: none;
    padding: 0;
    margin: 0;
    width: 100%;
}

@media (max-width: 1280px) {
    .advantages__list {
        padding: 0 20px;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(3, auto);
        gap: 43px 40px;
    }
}

@media (max-width: 767px) {
    .advantages__list {
        grid-template-columns: repeat(2, 1fr);
        gap: 35px 15px;
        width: -moz-max-content;
        width: max-content;
        max-width: 100%;
        margin: 0 auto;
    }
}

.advantages__item:last-child .advantages__text {
    max-width: 390px;
}

.advantages__picture, .advantages__icon {
    max-width: 45px;
    height: 45px;
}

.advantages__item {
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.advantages__text {
    font-family: 'Gill Sans', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 120%;
    color: #000000;
    max-width: 350px;
}

@media (max-width: 767px) {
    .advantages__text {
        font-size: 16px;
        line-height: 20px;
    }
}

@media (max-width: 650px) {
    .advantages__text    {
        font-size: 12px;
    }
}

.main-modal {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    box-sizing: border-box;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    z-index: 10000;
}

.main-modal_active {
    opacity: 1;
    visibility: visible;
}

.main-modal * {
    box-sizing: border-box;
}

.main-modal__wrap {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
}

.main-modal__inner {
    width: 100%;
    max-width: 616px;
    background-color: #fff;
}

@media (max-width: 767px) {
    .main-modal__inner {
        max-width: 335px;
    }
}

.main-modal__header {
    width: 100%;
    padding: 22px 24px;
    display: flex;
    justify-content: flex-end;
}

.main-modal__close-btn {
    padding: 0;
    margin: 0;
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.main-modal__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 20px 50px;
}

.main-modal__icon {
    margin-bottom: 31px;
}

.main-modal__text {
    font-family: "Gill Sans";
    color: #1D1D1B;
    max-width: 502px;
    font-weight: 400;
    font-size: 32px;
    line-height: 28px;
    text-align: center;
    margin: 0 0 20px;
}

.main-modal__link {
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Gill Sans";
    font-style: normal;
    font-weight: 600;
    font-size: 28px;
    line-height: 20px;
    text-align: center;
    letter-spacing: 0.8px;
    text-transform: uppercase;
    color: #FFFFFF;
    background-color: #32302E;
    border: 1px solid #32302E;
    padding: 13px;
    width: 100%;
    max-width: 430px;
    text-decoration: none;
}

@media (max-width: 767px) {
    .main-modal__text,
    .main-modal__link {
        font-size: 18px;
    }
}